<template>
  <div>
    <button class="btn btn-default btn-lg" :disabled="!prev_page"
      @click="getFiles(prev_page)">&lt;</button>
    <img v-for="file in files"
         class="img-thumbnail"
         :src="returnUrl(file.path)"
         width=100
         height=100>
         <button class="btn btn-default btn-lg" :disabled="!next_page"
           @click="getFiles(next_page)">&gt;</button>
    <form>
      <div class="form-group">
        <label for="InputFile">File input</label>
        <input type="file" id="InputFile" @change="onFileChange">
        <p class="help-block">Upload image</p>
      </div>
    </form>
  </div>
</template>

<script>

export default {
  name: 'Upload',
  data () {
    return {
      files: [],
      next_page: '',
      prev_page: ''
    }
  },
  methods: {
    onFileChange (e) {
      let file = e.target.files[0] || e.dataTransfer.files[0]
      let formData = new FormData()
      formData.append('image', file)
      this.$http.post('upload/', formData)
        .then(response => {
          console.log(response)
          this.getFiles()
        }, error => {
          console.log(error)
        })
    },
    getFiles (url = 'upload/') {
      this.$http.get(url)
        .then(response => {
          this.files = response.body.data
          this.next_page = response.body.next_page
          this.prev_page = response.body.prev_page
        }, error => {
          console.log(error)
        })
    },
    returnUrl (file) {
      return `${window.staticUrl}/${file}`
    }
  },
  created () {
    this.getFiles()
  }
}
</script>

<style scoped>
</style>
